Eclipse Platform Release 3.7

## org.eclipse.ui.part
Interface IWorkbenchPartOrientation

All Known Implementing Classes:
  AbstractDebugView, AbstractDecoratedTextEditor, AbstractMultiEditor, AbstractTextEditor, BookmarkNavigator, CommonNavigator, CommonSourceNotFoundEditor, ContentOutline, EditorPart, org.eclipse.ui.internal.views.markers.ExtendedMarkersView, FormEditor, FormPage, MarkerSupportView, MultiEditor, MultiPageEditor, MultiPageEditorPart, PageBookView, ProjectExplorer, PropertySheet, ResourceNavigator, SharedHeaderFormEditor, StatusTextEditor, TaskList, TemplatesView, TextEditor, ViewPart, WorkbenchPart

    public interface IWorkbenchPartOrientation

The IWorkbenchPartOrientation is the interface that defines the orientation of the part. If a type does not implement this interface an orientation of SWT.NONE will be assumed.

Since:
  3.1
See Also:
  `SWT.RIGHT_TO_LEFT`, `SWT.LEFT_TO_RIGHT`, `SWT.NONE`, `Window.getDefaultOrientation()`

Method Summary
`int` `getOrientation()` Return the orientation of this part.

Method Detail

### getOrientation

    int getOrientation()

  Return the orientation of this part.

  Returns:
    int SWT#RIGHT_TO_LEFT or SWT#LEFT_TO_RIGHT
  See Also:
    `Window.getDefaultOrientation()`, `SWT.RIGHT_TO_LEFT`, `SWT.LEFT_TO_RIGHT`, `Window.getDefaultOrientation()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.